Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.cookie
Interface CookieSpecFactory

All Known Implementing Classes:
  BestMatchSpecFactory, BrowserCompatSpecFactory, IgnoreSpecFactory, NetscapeDraftSpecFactory, RFC2109SpecFactory, RFC2965SpecFactory

    public interface CookieSpecFactory

Factory for `CookieSpec` implementations.

Since:
  4.0

Method Summary
`CookieSpec` | `newInstance(HttpParams params)` Creates an instance of `CookieSpec` using given HTTP parameters.

Method Detail

### newInstance

    CookieSpec newInstance(HttpParams params)

  Creates an instance of `CookieSpec` using given HTTP parameters.

  Parameters:
    `params` - HTTP parameters.
  Returns:
    cookie spec.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.